Unable to update plugins

Hi there,
I was trying to update my WPMU plugins to latest versions but am getting "unknown error" when trying to do so.
While trying to update from the plugin section I get the following error
Päivitys epäonnistui: Pakettia ei voitu asentaa. PCLZIP_ERR_BAD_FORMAT (-10) : Invalid End of Central Dir Record size : 15
Any thoughts? Thanks in advance,
Guy